> For the complete documentation index, see [llms.txt](https://docs.echo3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.echo3d.com/api/entry-hierarchy.md).

# Entry Hierarchy

## Add an entry as a child or parent to another entry

<mark style="color:blue;">`GET`</mark> `https://api.echo3d.com/hierarchy?key=<API_KEY>&email=<EMAIL>&userKey=<USER_KEY>&entry=<ENTRY_ID>&operation=<OPERATION>&relatedToEntryId=<RELATED_TO_ENTRY_ID>`

#### Path Parameters

| Name                                               | Type   | Description                                                                                                                             |
| -------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| key<mark style="color:red;">\*</mark>              | string | Your API key                                                                                                                            |
| entryId<mark style="color:red;">\*</mark>          | string | Entry ID to add either a Child or Parent to                                                                                             |
| email<mark style="color:red;">\*</mark>            | string | Your email address                                                                                                                      |
| userKey<mark style="color:red;">\*</mark>          | string | Your authentication key                                                                                                                 |
| operation<mark style="color:red;">\*</mark>        | string | Either addParent or addChild                                                                                                            |
| relatedToEntryId<mark style="color:red;">\*</mark> | string | The Entry ID of the entry to be added as a Child or Parent                                                                              |
| secKey                                             | string | Your Secret key. Only if enabled through the [Security page](/web-console/manage-pages/collections-and-sharing/security.md#secret-key). |
